FreeMat

- Main Page
- Related Pages

vtkImageInPlaceFilter

Section: Visualization Toolkit Filtering Classes

# Usage

vtkImageInPlaceFilter is a filter super class that operates directly on the input region. The data is copied if the requested region has different extent than the input region or some other object is referencing the input region.

To create an instance of class vtkImageInPlaceFilter, simply invoke its constructor as follows

      obj = vtkImageInPlaceFilter

# Methods

The class vtkImageInPlaceFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageInPlaceFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageInPlaceFilter = obj.NewInstance ()`
- `vtkImageInPlaceFilter = obj.SafeDownCast (vtkObject o)`